# Interface Config

Global configuration for the ArcGIS Extensions API.

interface Config {
autoTransformations: Transformation[];
geometryServiceUrl?: string;
portals: Map<string, Portal>;
}

#####
Index

### Properties

autoTransformations
geometryServiceUrl?
portals

##
Properties

### `Readonly` autoTransformations

autoTransformations: Transformation[]

Automatic datum transformations that will be applied whenever there is a match between the input and output spatial references during geometry operations.

### `Optional` geometryServiceUrl

geometryServiceUrl?: string

The URL of the geometry service to use for geometry operations that require a geometry service.

### `Readonly` portals

portals: Map<string, Portal>

ArcGIS portals that portal items can be loaded from.